APG PayAPG Paydocs

Merchants

Create files

POST/files
Request
POSThttps://api.tst.au.apgpay.dev/files
curl -X POST https://api.tst.au.apgpay.dev/files \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"type":"LfileUpload","merchantId":"mcht_9f2Kd8QpLzXw","documentType":"CompanyVerificationDocumentFront","file":"<binary>"}'

Upload a KYB document for a merchant. JPEG, PNG or PDF, up to 10MB.

Permissions

Required permission
merchantKyb:create

Requires the `create` action on `merchantKyb` for the supplied runtime context

Request body

typeenumrequired
LfileUpload
merchantIdMchtIdrequired

Identifier of a merchant.

Example mcht_9f2Kd8QpLzXw

documentTypeLfileDocumentTyperequired
CompanyVerificationDocumentFrontCompanyVerificationDocumentBackCompanyTaxIdVerificationDocumentPersonVerificationDocumentFrontPersonVerificationDocumentBackPersonVerificationAdditionalDocumentFrontPersonVerificationAdditionalDocumentBackPartnershipAgreementTrustDeedTrustDeedAmendment
+1 more

Unknown

filestring (binary)required

Example <binary>

Example request
{
  "type": "LfileUpload",
  "merchantId": "mcht_9f2Kd8QpLzXw",
  "documentType": "CompanyVerificationDocumentFront",
  "file": "<binary>"
}

Responses

typeenumrequired
LfileUploaded
fileIdLfileIdrequired

Identifier of a stored file.

Example lfile_9f2Kd8QpLzXw

Example response
{
  "type": "LfileUploaded",
  "fileId": "lfile_9f2Kd8QpLzXw"
}

Error responses